<?php

/* DCMS S (Special)
 * Версия файла 0.0.1
 * Дата последнего редактирования 10.11.2015
 * Модифицировал densnet
 */

$file = "http://soccms.com/$set[dcms_version]_$set[dcms_state].txt";
$file_headers = @get_headers($file);
$new = null;
if ($file_headers[0] == 'HTTP/1.1 404 Not Found') {
    $new = "<span class='tag tag-primary'>Доступна новая версия!</span>";
} else {
    $new = "<span class='tag tag-success'>Обновлений нет...</span>";
}
$lic = "http://soccms.com/license/$_SERVER[HTTP_HOST].key";
$l = @get_headers($lic);
$license = null;
if ($l[0] == 'HTTP/1.1 404 Not Found') {
    $license = 'Lite';
} else {
    $license = 'Pro';
}

echo "<span class='tag tag-success'>Версия DCMS Special: $set[dcms_version] $set[dcms_state]</span> $new<br />\n";
echo "<span class='tag tag-success'>Лицензия: $license</span><br />\n";

list ($php_ver1, $php_ver2, $php_ver3) = explode('.', strtok(strtok(phpversion(), '-'), ' '), 3);

if ($php_ver1 == 5) {
    echo "<span class='tag tag-success'>Версия PHP: $php_ver1.$php_ver2.$php_ver3 (OK)</span><br />";
} else {
    echo "<span class='tag tag-success'>Версия PHP: $php_ver1.$php_ver2.$php_ver3</span><br />";
    $err[] = "Тестирование на версии php $php_ver1.$php_ver2.$php_ver3 не осуществялось";
}


if (function_exists('disk_free_space') && function_exists('disk_total_space')) {
    $free_space = disk_free_space(H);
    $total_space = disk_total_space(H);
    if ($free_space > 1024 * 1024 * 5) {
        echo "<span class='tag tag-success'>Свободно: " . size_file($free_space) . ' / ' . size_file($total_space) . "</span><br />\n";
    } else {
        echo "<span class='tag tag-danger'>Свободно: " . size_file($free_space) . ' / ' . size_file($total_space) . "</span><br />\n";
        $err[] = 'Мало свободного места на диске';
    }
}


if (function_exists('set_time_limit')) {
    echo "<span class='tag tag-success'>set_time_limit: OK</span><br />\n";
} else {
    echo "<span class='tag tag-danger'>set_time_limit: Запрещено</span><br />\n";
}



if (ini_get('session.use_trans_sid') == true) {
    echo "<span class='tag tag-success'>session.use_trans_sid: OK</span><br />\n";
} else {
    echo "<span class='tag tag-danger'>session.use_trans_sid: Нет</span><br />\n";
    $err[] = 'Будет теряться сессия на браузерах без поддержки COOKIE';
    $err[] = 'Добавьте в корневой .htaccess строку <b>php_value session.use_trans_sid 1</b>';
}


if (ini_get('magic_quotes_gpc') == 0) {
    echo "<span class='tag tag-success'>magic_quotes_gpc: 0 (OK)</span><br />\n";
} else {
    echo "<span class='tag tag-danger'>magic_quotes_gpc: Включено</span><br />\n";
    $err[] = 'Включено экранирование кавычек';
    $err[] = 'Добавьте в корневой .htaccess строку <b>php_value magic_quotes_gpc 0</b>';
}

if (ini_get('arg_separator.output') == '&amp;') {
    echo "<span class='tag tag-success'>arg_separator.output: &amp;amp; (OK)</span><br />\n";
} else {
    echo "<span class='tag tag-danger'>arg_separator.output: " . output_text(ini_get('arg_separator.output')) . "</span><br />\n";
    $err[] = 'Возможно появление ошибки xml';
    $err[] = 'Добавьте в корневой .htaccess строку <b>php_value arg_separator.output &amp;amp;</b>';
}


if (file_exists(H . 'install/mod_rewrite_test.php')) {
    if (@trim(file_get_contents("http://$_SERVER[HTTP_HOST]/install/mod_rewrite.test")) == 'mod_rewrite-ok') {
        echo "<span class='tag tag-success'>mod_rewrite: OK</span><br />\n";
    } elseif (function_exists('apache_get_modules')) {
        $apache_mod = @apache_get_modules();

        if (array_search('mod_rewrite', $apache_mod)) {
            echo "<span class='tag tag-success'>mod_rewrite: OK</span><br />\n";
        } else {
            echo "<span class='tag tag-danger'>mod_rewrite: Нет</span><br />\n";
            $err[] = 'Необходима поддержка mod_rewrite';
        }
    } else {
        echo "<span class='tag tag-danger'>mod_rewrite: Нет</span><br />\n";
        $err[] = 'Необходима поддержка mod_rewrite';
    }
} elseif (function_exists('apache_get_modules')) {
    $apache_mod = @apache_get_modules();

    if (array_search('mod_rewrite', $apache_mod)) {
        echo "<span class='tag tag-success'>mod_rewrite: OK</span><br />\n";
    } else {
        echo "<span class='tag tag-danger'>mod_rewrite: Нет</span><br />\n";
        $err[] = 'Необходима поддержка mod_rewrite';
    }
} else {
    echo "<span class='tag tag-danger'>mod_rewrite: Нет данных</span><br />\n";
}



if (function_exists('imagecreatefromstring') && function_exists('gd_info')) {
    $gdinfo = gd_info();
    echo "<span class='tag tag-success'>GD: " . $gdinfo['GD Version'] . " OK</span><br />\n";
} else {
    echo "<span class='tag tag-danger'>GD: Нет</span><br />\n";
    $err[] = 'GD необходима для корректной работы движка';
}


if (function_exists('mysql_info')) {
    echo "<span class='tag tag-success'>MySQL: OK</span><br />\n";
} else {
    echo "<span class='tag tag-danger'>MySQL: Нет</span><br />\n";
    $err[] = 'Без MySQL работа не возможна';
}


if (function_exists('iconv')) {
    echo "<span class='tag tag-success'>Iconv: OK</span><br />\n";
} else {
    echo "<span class='tag tag-danger'>Iconv: Нет</span><br />\n";
    $err[] = 'Без Iconv работа не возможна';
}

if (class_exists('ffmpeg_movie')) {
    echo "<span class='tag tag-success'>FFmpeg: OK</span><br />\n";
} else {
    echo "<span class='tag tag-warning'>FFmpeg: Нет</span><br />\n";
    echo "<span class='tag tag-warning'>Без FFmpeg автоматическое создание скриншотов к видео недоступно</span><br />\n";
}

if (ini_get('register_globals') == false) {
    echo "<span class='tag tag-success'>register_globals off: OK</span><br />\n";
} else {
    echo "<span class='tag tag-danger'>register_globals on: !!!</span><br />\n";
    $err[] = 'register_globals включен. Грубое нарушение безопасности';
}

if (function_exists('mcrypt_cbc')) {
    echo "<span class='tag tag-success'>Шифрование COOKIE: OK</span><br />\n";
} else {
    echo "<span class='tag tag-danger'>Шифрование COOKIE: нет</span><br />\n";
    echo "<span class='tag tag-danger'>mcrypt не доступен</span><br />\n";
}
